# pyweek26_go_with_the_flow
Sustainable tourism on the Amazon river system

Code by me, Coen de Groot. Artwork, sounds and font from various free sites. See below for the complete list

## To run the game:
1. You will need Python 3.6 or higher and PyGame (I used 1.9.4, others may work too)
2. Pull down the repo
3. python go_with_the_flow.py

## To play the game:

Travellers are queueing up to visit the Amazon river system. However, in this sensitive ecosystem tourism is carefully controlled. Only a few electric amphibious vehicles are allowed, and they must run on solar power.

The right column shows you who wants to go where. Control your vehicle with the arrow keys (fast, slow, left, right) and pick up your first passenger. Show them the sights, then take them back to their hotel.

Pop by a power tower to recharge the battery. The blue or grey ring on the vehicle is your power meter. If you run out of power your vehicle disappears from the game, and your passenger goes back to their hotel.

Float down the river to save power. Use the space bar to switch to flow mode (and back). As soon as the car hits a river it will start to float downstream. Leave the river in time or it will disappear from the game.

To speed things up, get a vehicle to move up the river, whilst you take control of another car. Enter the water. The start of the rivers now each get a letter. Hit that letter to move upstream towards it. But be careful, going against the stream takes power, and you don't want to run out. Use the space bar to leave the river at any time.

Use the tab key to switch to the next vehicle.

The game has 5 levels. See how fast you can complete them all.

If you want to create more levels, just add them to the levels.txt file.

## PyWeek
This is my submission for [PyWeek 26](https://pyweek.org/26/). PyWeek is a regular game coding challenge, giving you one week to create a game in Python from scratch

## Accreditations
Images and sound effects from [OpenGameArt](https://opengameart.org). Credits:
* [Hut](https://opengameart.org/content/round-stone-hut), [power tower](https://opengameart.org/content/power-tower-povray-scene-file) and [cactus](https://opengameart.org/content/isometric-cactus-variants) by [Hansjörg Malthaner](http://opengameart.org/users/varkalandar)
* Some of the sounds in this project were created by [David McKee (ViRiX)](soundcloud.com/virix)
* "Level up sound effects" by Bart Kelsey. Commissioned by Will Corwin for [OpenGameArt.org](http://opengameart.org)

Other assets used:
* Amazon river system map: [Wikimedia](https://upload.wikimedia.org/wikipedia/commons/0/02/Amazonriverbasin_basemap.png)
* [Solar panel](https://en.wikipedia.org/wiki/File:From_a_solar_cell_to_a_PV_system.svg), used as base of power tower, from [Wikipedia](https://en.wikipedia.org/wiki/Main_Page)
* [Arrow keys](https://fr.m.wikipedia.org/wiki/Fichier:Cursor-key-arrangements-according-to-isoiec-9995-5.png) from [Wikipedia](https://en.wikipedia.org/wiki/Main_Page)
* [Timer font](https://www.1001freefonts.com/digital-7.font) from [StyleSeven](http://www.styleseven.com/)
